"use strict";
/**
 * @description Main Game Class
 * @author Digitsensitive <digit.sensitivee@gmail.com>
 * @copyright 2019 - 2020 Digitsensitive
 * @license {@link https://opensource.org/licenses/MIT|MIT License}
 */
Object.defineProperty(exports, "__esModule", { value: true });
require("phaser");
const boot_scene_1 = require("./scenes/boot-scene");
const main_scene_1 = require("./scenes/main-scene");
// main game configuration
const config = {
    title: 'astar-typescript-example',
    version: '1.0.0',
    scale: {
        width: '100%',
        height: '100%',
        parent: 'game',
        mode: Phaser.Scale.ENVELOP
    },
    type: Phaser.AUTO,
    scene: [boot_scene_1.BootScene, main_scene_1.MainScene]
};
// game class
class Game extends Phaser.Game {
    constructor(config) {
        super(config);
    }
}
exports.Game = Game;
// when the page is loaded, create our game instance
window.addEventListener('load', () => {
    var game = new Game(config);
});
