"use strict";
/**
 * @description Gameobject class
 * @author Digitsensitive <digit.sensitivee@gmail.com>
 * @copyright 2020 Digitsensitive
 * @license {@link https://opensource.org/licenses/MIT|MIT License}
 */
Object.defineProperty(exports, "__esModule", { value: true });
class GameObject extends Phaser.GameObjects.Image {
    constructor(params) {
        super(params.scene, params.x, params.y, params.key);
        this.initImage(params.realSize, params.tint, params.alpha);
        this.scene.add.existing(this);
    }
    initImage(realSize, tint, alpha) {
        this.setOrigin(0, 0);
        this.setDisplaySize(realSize, realSize);
        this.setTint(tint);
        this.setAlpha(alpha);
    }
}
exports.GameObject = GameObject;
